Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162722 - static mutex initializers are not correct
Summary: static mutex initializers are not correct
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 164814
TreeView+ depends on / blocked
 
Reported: 2005-07-08 00:51 UTC by Kelly Long
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.3.90-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-22 12:42:55 UTC


Attachments (Terms of Use)
code and error related to fedora core 4 glibc static initalization of mutexes (deleted)
2005-07-08 00:51 UTC, Kelly Long
no flags Details

Comment 1 Kelly Long 2005-07-08 00:51:25 UTC
Created attachment 116498 [details]
code and error related to fedora core 4 glibc static initalization of mutexes

Comment 2 Jakub Jelinek 2005-07-11 17:02:56 UTC
They are correct, some extra warnings just warn even about correct code.
Anyway, http://sources.redhat.com/ml/libc-hacker/2005-07/msg00006.html
should shut these warnings up.

Comment 5 Jakub Jelinek 2005-07-22 12:42:55 UTC
Should be fixed in glibc-2.3.90-3.

Comment 7 Nigel Horne 2005-08-24 10:29:06 UTC
When will glibc-2.3.90-3 come out?

The latest, 2.3.5-10.3 as of 24/8/05, exhibits the same problem.

Comment 8 Jakub Jelinek 2005-08-24 13:35:07 UTC
glibc-2.3.90-3 came out more than a month ago, but glibc-2.3.90-* is a rawhide
version (i.e. FC5 development ATM; that's why it has been closed with RAWHIDE).
But glibc-2.3.5-10.3 also includes that fix and certainly doesn't exhibit
the problem for me.
When I fix the testcase a little (s/fprint(/fprintf (stderr, /, plus add return
0; at the end of main), I get:
rpm -qf /usr/include/pthread.h; gcc -W -Wall -O2 fc4-gcc4-mutex.c
x86_64/glibc-headers-2.3.5-10.3.x86_64.rpm
fc4-gcc4-mutex.c: In function 'main':
fc4-gcc4-mutex.c:8: warning: unused parameter 'argc'
fc4-gcc4-mutex.c:8: warning: unused parameter 'argv'
fc4-gcc4-mutex.c: At top level:
fc4-gcc4-mutex.c:4: warning: 'some_static_mutex' defined but not used
fc4-gcc4-mutex.c:6: warning: 'some_static_condition' defined but not used



Note You need to log in before you can comment on or make changes to this bug.